> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v3consumers contracts



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/consumers/{userID}/contracts/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/consumers/{userID}/contracts/:
    get:
      tags:
        - consumers
      operationId: consumers_contracts_list
      parameters:
        - in: path
          name: userID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContractsListResponse'
          description: ''
components:
  schemas:
    ContractsListResponse:
      type: object
      properties:
        contract_ids:
          type: array
          items:
            type: string
      required:
        - contract_ids

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.